中危 GD Graphics Library资源管理错误漏洞

CVE编号

CVE-2021-40145

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-08-26
漏洞描述
GD Graphics Library是一个开源代码库,用于程序员动态创建图像。
GD Graphics Library 存在安全漏洞,该漏洞源于 GD Graphics Library(又名 LibGD)到 2.3.2 中的 gd_gd2.c 中的 gdImageGd2Ptr 有双重释放。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/libgd/libgd/issues/700
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libgd libgd * Up to
(including)
2.3.2
运行在以下环境
系统 alpine_3.11 gd * Up to
(excluding)
2.2.5-r4
运行在以下环境
系统 alpine_3.12 gd * Up to
(excluding)
2.3.0-r1
运行在以下环境
系统 alpine_3.13 gd * Up to
(excluding)
2.3.0-r1
运行在以下环境
系统 alpine_3.14 gd * Up to
(excluding)
2.3.0-r1
运行在以下环境
系统 alpine_3.15 gd * Up to
(excluding)
2.3.0-r1
运行在以下环境
系统 alpine_3.16 gd * Up to
(excluding)
2.3.0-r1
运行在以下环境
系统 alpine_edge gd * Up to
(excluding)
2.3.0-r1
运行在以下环境
系统 debian_10 gd * Up to
(including)
2.2.5-5.2
运行在以下环境
系统 debian_11 gd * Up to
(including)
2.3.0-2
运行在以下环境
系统 debian_12 gd * Up to
(including)
2.3.0-2
运行在以下环境
系统 debian_9 gd * Up to
(including)
2.2.4-2+deb9u5
运行在以下环境
系统 debian_sid gd * Up to
(including)
2.3.0-2
运行在以下环境
系统 ubuntu_14.04 gd * Up to
(excluding)
2.1.0-3ubuntu0.11+esm2
运行在以下环境
系统 ubuntu_16.04 gd * Up to
(excluding)
2.1.1-4ubuntu0.16.04.12+esm1
运行在以下环境
系统 ubuntu_18.04 gd * Up to
(excluding)
2.2.5-4ubuntu0.5
运行在以下环境
系统 ubuntu_18.04.5_lts libgd2 * Up to
(excluding)
2.2.5-4ubuntu0.5
运行在以下环境
系统 ubuntu_20.04 gd * Up to
(excluding)
2.2.5-5.2ubuntu2.1
运行在以下环境
系统 ubuntu_21.04 gd * Up to
(excluding)
2.3.0-2ubuntu0.1
运行在以下环境
系统 ubuntu_21.10 gd * Up to
(excluding)
2.3.0-2ubuntu1
运行在以下环境
系统 ubuntu_22.04 gd * Up to
(excluding)
2.3.0-2ubuntu1
阿里云评分
6.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-415 双重释放
阿里云安全产品覆盖情况